Skip to main content
`Ctrl`+`K`

# TSThetaSetEndpoint

Sets whether to use the endpoint variant of the method (e.g. trapezoid/Crank-Nicolson instead of midpoint rule) for `TSTHETA`

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSThetaSetEndpoint(TS ts, PetscBool flg)

Not Collective

## Input Parameters

- ts - timestepping context

- flg - `PETSC_TRUE` to use the endpoint variant

## Options Database Key

- -ts_theta_endpoint - use the endpoint variant

## See Also

TS: Scalable ODE and DAE Solvers, `TSTHETA`, `TSCN`

## Level

intermediate

## Location

src/ts/impls/implicit/theta/theta.c

## Implementations

TSThetaSetEndpoint_Theta() in src/ts/impls/implicit/theta/theta.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages